//
// Cforall Version 1.0.0 Copyright (C) 2019 University of Waterloo
//
// The contents of this file are covered under the licence agreement in the
// file "LICENCE" distributed with Cforall.
//
// Convert.hpp --
//
// Author           : Thierry Delisle
// Created On       : Thu May 09 15::37::05 2019
// Last Modified By :
// Last Modified On :
// Update Count     :
//

#pragma once

#include <list>

#include "AST/Node.hpp"

class Declaration;
namespace ast {
	class Decl;
};

std::list< Declaration * > convert( const std::list< ast::ptr< ast::Decl > > & translationUnit );
std::list< ast::ptr< ast::Decl > > convert( const std::list< Declaration * > & translationUnit );